using Newtonsoft.Json;

namespace LauncherIcarus.ResponseModel
{
    public class Accountinfos
    {
        [JsonProperty("AccountDBID")] public int AccountDBID { get; set; }

        [JsonProperty("Username")] public string Username { get; set; }

        [JsonProperty("RegisterTime")] public string RegisterTime { get; set; }

        [JsonProperty("RegisterIP")] public string RegisterIp { get; set; }

        [JsonProperty("LastLoginTime")] public string LastLoginTime { get; set; }

        [JsonProperty("LastLoginIP")] public string LastLoginIp { get; set; }

        [JsonProperty("IsBlocked")] public int IsBlocked { get; set; }

        [JsonProperty("Real_Balance")] public double RealBalance { get; set; }

        [JsonProperty("Bonus_Balance")] public double BonusBalance { get; set; }

        [JsonProperty("BirthDate")] public string BirthDate { get; set; }

        [JsonProperty("Email")] public string Email { get; set; }

        [JsonProperty("Version")] public string Version { get; set; }
    }
}